# Poco::Net

# class PartStore

Library: Net
Package: Messages
Header: Poco/Net/PartStore.h

## Description

A parent class for part stores storing message parts.

## Inheritance

Direct Base Classes: PartSource

All Base Classes: PartSource

Known Derived Classes: FilePartStore

## Member Summary

Inherited Functions: filename, getContentLength, headers, mediaType, stream

## Constructors

### PartStore

PartStore(
const std::string & mediaType
);

Creates the PartStore for the given MIME type.

## Destructor

### ~PartStore

~PartStore();

Destroys the PartFileStore.